Permalink
Browse files

Cant use inclusion in commands/application.rb as the frameworks haven…

…t all been required yet
  • Loading branch information...
1 parent 1f3d3eb commit 1d8bf4f4f900a905e6350e246a683659b5480ec9 @dhh dhh committed Apr 11, 2011
@@ -2,6 +2,7 @@
require 'active_support/core_ext/object/blank'
require 'active_support/core_ext/object/duplicable'
require 'active_support/core_ext/object/try'
+require 'active_support/core_ext/object/inclusion'
require 'active_support/core_ext/object/conversions'
require 'active_support/core_ext/object/instance_variables'
@@ -1,7 +1,6 @@
require 'rails/version'
-require 'active_support/core_ext/object/inclusion'
-if ARGV.first.either?('--version', '-v')
+if ['--version', '-v'].include?(ARGV.first)
puts "Rails #{Rails::VERSION::STRING}"
exit(0)
end

0 comments on commit 1d8bf4f

Please sign in to comment.